Loading...
Searching...
No Matches
gx_engine::plugdesc Class Reference

`#include <gx_internal_plugins.h>`

## Public Member Functions

void | readJSON (gx_system::JsonParser &jp)
void | writeJSON (gx_system::JsonWriter &jw)

## Public Attributes

std::string | path
unsigned int | index
unsigned long | UniqueID
Glib::ustring | Label
Glib::ustring | shortname
Glib::ustring | category
int | quirks
int | add_wet_dry
int | stereo_to_mono
int | master_idx
Glib::ustring | master_label
std::vector< paradesc * > | names
std::string | id_str

## Private Member Functions

| plugdesc ()
| ~plugdesc ()

## Friends

class | LadspaLoader

## Detailed Description

Definition at line 729 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## plugdesc()

gx_engine::plugdesc::plugdesc | ( |  | ) |

inline private

Definition at line 745 of file gx_internal_plugins.h.

## ~plugdesc()

gx_engine::plugdesc::~plugdesc | ( |  | ) |

private

## Member Function Documentation

## readJSON()

void gx_engine::plugdesc::readJSON | ( | gx_system::JsonParser & | jp | ) |

## writeJSON()

void gx_engine::plugdesc::writeJSON | ( | gx_system::JsonWriter & | jw | ) |

## Friends And Related Symbol Documentation

## LadspaLoader

friend class LadspaLoader

friend

Definition at line 747 of file gx_internal_plugins.h.

Referenced by LadspaLoader.

## Member Data Documentation

## add_wet_dry

int gx_engine::plugdesc::add_wet_dry

Definition at line 738 of file gx_internal_plugins.h.

## category

Glib::ustring gx_engine::plugdesc::category

Definition at line 736 of file gx_internal_plugins.h.

## id_str

std::string gx_engine::plugdesc::id_str

Definition at line 743 of file gx_internal_plugins.h.

## index

unsigned int gx_engine::plugdesc::index

Definition at line 732 of file gx_internal_plugins.h.

## Label

Glib::ustring gx_engine::plugdesc::Label

Definition at line 734 of file gx_internal_plugins.h.

## master_idx

int gx_engine::plugdesc::master_idx

Definition at line 740 of file gx_internal_plugins.h.

## master_label

Glib::ustring gx_engine::plugdesc::master_label

Definition at line 741 of file gx_internal_plugins.h.

## names

std::vector<paradesc*> gx_engine::plugdesc::names

Definition at line 742 of file gx_internal_plugins.h.

## path

std::string gx_engine::plugdesc::path

Definition at line 731 of file gx_internal_plugins.h.

## quirks

int gx_engine::plugdesc::quirks

Definition at line 737 of file gx_internal_plugins.h.

## shortname

Glib::ustring gx_engine::plugdesc::shortname

Definition at line 735 of file gx_internal_plugins.h.

## stereo_to_mono

int gx_engine::plugdesc::stereo_to_mono

Definition at line 739 of file gx_internal_plugins.h.

## UniqueID

unsigned long gx_engine::plugdesc::UniqueID

Definition at line 733 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h